Bug 1729059 - Error when logging out of Xfce live in rawhide 20190704
Summary: Error when logging out of Xfce live in rawhide 20190704
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: LiveCD - Xfce
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-11 10:09 UTC by Elizabeth Boswell
Modified: 2020-11-24 20:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 20:08:06 UTC
Type: Bug


Attachments (Terms of Use)
actual results (810.78 KB, image/png)
2019-07-11 10:09 UTC, Elizabeth Boswell
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Xfce 15919 0 None None None 2019-09-02 20:00:29 UTC

Description Elizabeth Boswell 2019-07-11 10:09:31 UTC
Created attachment 1589381 [details]
actual results

Description of problem:
An error occurs when trying to log out immediately after starting Xfce live (in rawhide 20190704, bios USB)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. load Fedora-Xfce-Live-x86_64-Rawhide-20190704 onto a USB stick using Fedora media writer
2. in the boot menu select "Start Fedora-Xfce-Live Rawhide" or select "Test this media & start Fedora-Xfce-Live Rawhide", then press enter
3. immediately after the Xfce graphical environment has loaded left-click "Applications" and then left-click "Log Out"

Actual results:
A window displaying an error message appears (see attached screenshot). The full error message is:

-------------------------------
Received error while trying to log out

GDBus.Error:org.freedesktop.DBus.Error.InvalidArgs: Type of message, "(yb)", does not match expected type "(b)"
-------------------------------

Expected results:
A window with log out options should be displayed.

Additional info:
The expected results occur if one waits a few seconds before clicking "Applications" and "log out".

After the window with the error message has appeared clicking "Log out" in the applications menu also causes the regular "log out" window to appear.

Comment 1 Kevin Fenzi 2019-07-17 22:17:47 UTC
Odd. Does this happen everytime?

Comment 2 Elizabeth Boswell 2019-07-19 10:51:06 UTC
(In reply to Kevin Fenzi from comment #1)
> Odd. Does this happen everytime?

It happened every time I logged out a few seconds after the graphical environment has loaded, I tried it a few times.

Comment 3 Ben Cotton 2019-08-13 16:59:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 4 Ben Cotton 2019-08-13 19:00:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 5 Kevin Fenzi 2019-08-16 00:37:22 UTC
Ah, so it's a race condition? If you wait a while and logout it works normally, but if you immediately logout it happpens?

Comment 6 Elizabeth Boswell 2019-08-16 04:38:17 UTC
(In reply to Kevin Fenzi from comment #5)
> Ah, so it's a race condition? If you wait a while and logout it works
> normally, but if you immediately logout it happpens?

Yes, exactly.

Comment 7 Kevin Fenzi 2019-08-24 17:00:15 UTC
Sorry for the delay here. Can you retest this with the latest Xfce packages/live media?

Comment 8 Elizabeth Boswell 2019-08-25 07:23:58 UTC
I retested it with Xfce-Live-x86_64-Rawhide-20190824 and the same error occurred.

Comment 9 Kevin Fenzi 2019-09-02 20:00:29 UTC
Filed upstream on xfce4-session...

Comment 10 Ben Cotton 2020-11-03 15:20:10 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Ben Cotton 2020-11-24 20:08:06 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.